<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE suite SYSTEM "http://testng.org/testng-1.0.dtd">

<suite name="text-tests">
  
  <test name="simple-text-addition">
    <parameter name="name" value="simple-text-addition"/>
    <parameter name="dir" value="test/text/simple-addition"/>
    <parameter name="trackedFile" value="simple-addition-tracked.odt"/>
    <parameter name="versions" value="simple-addition-v1.odt,simple-addition-v2.odt"/>
    <classes>
      <class name="com.deltaxml.odf.ct.ChangeTrackingVerifier">
        <methods>
          <include name="testRunner"></include>
        </methods>
      </class>
    </classes>
  </test>
  
  <test name="simple-text-deletion">
    <parameter name="name" value="simple-text-deletion"/>
    <parameter name="dir" value="test/text/simple-deletion"/>
    <parameter name="trackedFile" value="simple-deletion-tracked.odt"/>
    <parameter name="versions" value="simple-deletion-v1.odt,simple-deletion-v2.odt"/>
    <classes>
      <class name="com.deltaxml.odf.ct.ChangeTrackingVerifier">
        <methods>
          <include name="testRunner"></include>
        </methods>
      </class>
    </classes>
  </test>
  
  <test name="simple-para-addition">
    <parameter name="name" value="simple-para-addition"/>
    <parameter name="dir" value="test/text/simple-paragraph-addition"/>
    <parameter name="trackedFile" value="simple-paragraph-addition-tracked.odt"/>
    <parameter name="versions" value="simple-paragraph-addition-v1.odt,simple-paragraph-addition-v2.odt"/>
    <classes>
      <class name="com.deltaxml.odf.ct.ChangeTrackingVerifier">
        <methods>
          <include name="testRunner"></include>
        </methods>
      </class>
    </classes>
  </test>
  
  <test name="simple-para-deletion">
    <parameter name="name" value="simple-para-deletion"/>
    <parameter name="dir" value="test/text/simple-paragraph-deletion"/>
    <parameter name="trackedFile" value="simple-paragraph-deletion-tracked.odt"/>
    <parameter name="versions" value="simple-paragraph-deletion-v1.odt,simple-paragraph-deletion-v2.odt"/>
    <classes>
      <class name="com.deltaxml.odf.ct.ChangeTrackingVerifier">
        <methods>
          <include name="testRunner"></include>
        </methods>
      </class>
    </classes>
  </test>
  
  <test name="simple-para-merge">
    <parameter name="name" value="simple-para-merge"/>
    <parameter name="dir" value="test/text/simple-paragraph-merge"/>
    <parameter name="trackedFile" value="simple-paragraph-merge-tracked.odt"/>
    <parameter name="versions" value="simple-paragraph-merge-v1.odt,simple-paragraph-merge-v2.odt"/>
    <classes>
      <class name="com.deltaxml.odf.ct.ChangeTrackingVerifier">
        <methods>
          <include name="testRunner"></include>
        </methods>
      </class>
    </classes>
  </test>
  
  <test name="different-element-merge">
    <parameter name="name" value="different-element-merge"/>
    <parameter name="dir" value="test/text/different-element-merge"/>
    <parameter name="trackedFile" value="different-element-merge-tracked.odt"/>
    <parameter name="versions" value="different-element-merge-v1.odt,different-element-merge-v2.odt"/>
    <classes>
      <class name="com.deltaxml.odf.ct.ChangeTrackingVerifier">
        <methods>
          <include name="testRunner"></include>
        </methods>
      </class>
    </classes>
  </test>
  
  <test name="multiple-para-merge">
    <parameter name="name" value="multiple-para-merge"/>
    <parameter name="dir" value="test/text/multiple-paragraph-merge"/>
    <parameter name="trackedFile" value="multiple-paragraph-merge-tracked.odt"/>
    <parameter name="versions" value="multiple-paragraph-merge-v1.odt,multiple-paragraph-merge-v2.odt"/>
    <classes>
      <class name="com.deltaxml.odf.ct.ChangeTrackingVerifier">
        <methods>
          <include name="testRunner"></include>
        </methods>
      </class>
    </classes>
  </test>
  
  <test name="para-merge-across-table">
    <parameter name="name" value="para-merge-across-table"/>
    <parameter name="dir" value="test/text/paragraph-merge-across-table"/>
    <parameter name="trackedFile" value="merge-across-table-tracked.odt"/>
    <parameter name="versions" value="merge-across-table-v1.odt,merge-across-table-v2.odt"/>
    <classes>
      <class name="com.deltaxml.odf.ct.ChangeTrackingVerifier">
        <methods>
          <include name="testRunner"></include>
        </methods>
      </class>
    </classes>
  </test>
  
  <test name="simple-para-split">
    <parameter name="name" value="simple-para-split"/>
    <parameter name="dir" value="test/text/simple-paragraph-split"/>
    <parameter name="trackedFile" value="simple-paragraph-split-tracked.odt"/>
    <parameter name="versions" value="simple-paragraph-split-v1.odt,simple-paragraph-split-v2.odt"/>
    <classes>
      <class name="com.deltaxml.odf.ct.ChangeTrackingVerifier">
        <methods>
          <include name="testRunner"></include>
        </methods>
      </class>
    </classes>
  </test>
  
  <test name="split-para-with-text-addition">
    <parameter name="name" value="split-para-with-text-addition"/>
    <parameter name="dir" value="test/text/split-paragraph-with-text-addition"/>
    <parameter name="trackedFile" value="split-para-with-added-text-tracked.odt"/>
    <parameter name="versions" value="split-para-with-added-text-v1.odt,split-para-with-added-text-v2.odt"/>
    <classes>
      <class name="com.deltaxml.odf.ct.ChangeTrackingVerifier">
        <methods>
          <include name="testRunner"></include>
        </methods>
      </class>
    </classes>
  </test>
  
  <test name="split-para-with-table-addition">
    <parameter name="name" value="split-para-with-table-addition"/>
    <parameter name="dir" value="test/text/split-paragraph-by-table-addition"/>
    <parameter name="trackedFile" value="para-split-by-table-tracked.odt"/>
    <parameter name="versions" value="para-split-by-table-v1.odt,para-split-by-table-v2.odt"/>
    <classes>
      <class name="com.deltaxml.odf.ct.ChangeTrackingVerifier">
        <methods>
          <include name="testRunner"></include>
        </methods>
      </class>
    </classes>
  </test>
  
  <test name="split-para-with-text-and-table-addition">
    <parameter name="name" value="split-para-with-text-and-table-addition"/>
    <parameter name="dir" value="test/text/split-paragraph-by-table-and-text"/>
    <parameter name="trackedFile" value="split-para-tracked.odt"/>
    <parameter name="versions" value="split-para-v1.odt,split-para-v2.odt"/>
    <classes>
      <class name="com.deltaxml.odf.ct.ChangeTrackingVerifier">
        <methods>
          <include name="testRunner"></include>
        </methods>
      </class>
    </classes>
  </test>
  
</suite>